Move a scene or chapter
Move a scene directory to chapters/<chapter>/<NNN> (within or across chapters; across, it is re-created with a new id) or a chapter directory to chapters/<NN>.
One apply_changes batch. Free.
Authorization
bearerAuth Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/fs/mv" \ -H "Content-Type: application/json" \ -d '{ "from": "string", "to": "string" }'{
"data": {
"path": "string",
"dry_run": true,
"ok": true,
"applied": true,
"changes": [
{
"field": "string",
"from": null,
"to": null
}
],
"diagnostics": [
{
"severity": "error",
"path": "string",
"field": "string",
"code": "string",
"message": "string"
}
],
"calls": [
{
"service": "string",
"ok": true,
"dry_run": true,
"error": "string",
"result": null
}
],
"created": {
"kind": "chapter",
"id": "string",
"path": "string"
},
"changeset_id": "string",
"structure_version": 0
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}Play, plan, edit or read the status of the project's sound program PUT
The project's score: a JSON score, a Python sound program (code), or the program kept as project files (source: "music": music/main.py, music/voices.py, music/cues/*.py, music/mix.json, written with the fs endpoints).
Delete a scene or chapter POST
Delete a scene or chapter directory as one apply_changes batch (undoable).